#!/bin/sh
#
# File:		HTTPCheck.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:		Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc., 1997
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

# Usage statement
if [ $# -lt 2 ] ; then
        echo "Usage: $0 <CurrentHostName> <policy-region>"
        exit 1
fi
PROGNAME=`echo $0 | sed -e 's.\\\\./.g'`
PROGNAME=`basename $PROGNAME`

echo "*** Executing $PROGNAME"
wcrtprfmgr $2 DIRECTOR_MONITORS
wsetpm -d @ProfileManager:DIRECTOR_MONITORS
wcrtprf @DIRECTOR_MONITORS SentryProfile HTTPmon

dir=$("pwd")
waddmon Universal scustom -a HTTPCheck_37.sh -t "5 minutes" \
-c critical -R "=~" down \
-n Sentry \
-T CRITICAL EventServer -v \
-D RestartHTTP -S $dir/RestartHTTP.sh -H $1 -C RestartHTTP.sh -E RestartHTTP.sh \
-D HTTPCheck -S $dir/HTTPCheck_37.sh -H $1 -C HTTPCheck_37.sh -E HTTPCheck_37.sh \
-f http.log \
-e RestartHTTP.sh \
-i \
-c normal -T HARMLESS EventServer -v \
HTTPmon

wsetpm -d @ProfileManager:DIRECTOR_MONITORS
wcrtprf @DIRECTOR_MONITORS SentryProfile SNMPmon

dir=$("pwd")
waddmon Universal scustom -a SNMPCheck_37.sh -t "5 minutes" \
-c critical -R "=~" down \
-n Sentry \
-T CRITICAL EventServer -v \
-D ReloadSNMP -S $dir/ReloadSNMP.sh -H $1 -C ReloadSNMP.sh -E ReloadSNMP.sh \
-D SNMPCheck -S $dir/SNMPCheck_37.sh -H $1 -C SNMPCheck_37.sh -E SNMPCheck_37.sh \
-f snmp.log \
-e ReloadSNMP.sh \
-i \
-c normal -T HARMLESS EventServer -v \
SNMPmon

exit 0
