#!/bin/sh
#
# File:		daswd.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:	IBM Corp.
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc., 1997
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

# Usage statement
if [ $# -lt 6 ] ; then
        echo "Usage: $0 <CurrentHostName> <policy-region> <Source Drive> <Source Directory> <Package Name> <SWD Version>"
        exit 1
fi
PROGNAME=`echo $0 | sed -e 's.\\\\./.g'`
PROGNAME=`basename $PROGNAME`
ver="da41patch.src"
if [ "$6" = "4.0" ] ; then
	ver="da41patch_swd40.src"
fi
touch tmp
touch $5
sed -e "s?<drive>?$3?g"< $ver  >tmp
sed -e "s?<directory>?$4?g"< tmp >"$5".spd
rm -rf tmp

echo "*** Executing $PROGNAME"
wcrtprfmgr $2 DIRECTOR_SWD
wsetpm -d @ProfileManager:DIRECTOR_SWD

dir=$("pwd")
wimpspo -c @DIRECTOR_SWD -h $1 -f $dir/$5.spd -t build -p $dir/$5.spb "$5"patch^4.12

exit 0
